<template>
  <el-drawer title="查看任务" :visible.sync="viewDrawer" size="60%">
    <mission-view :model="model"></mission-view>
  </el-drawer>
</template>

<script>
import missionView from "@/views/util/mission-view";

export default {
  components: { missionView },
  props: {
    visible: Boolean,
    model: {
      type: Object,
      default() {
        return {};
      },
    },
  },
  computed: {
    viewDrawer: {
      get() {
        return this.visible;
      },
      set(val) {
        this.$emit("update:visible", val);
      },
    },
  },
};
</script>

<style>
</style>